<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10mm"
        android:paddingHorizontal="17mm"
        android:text="订单属性"
        android:textSize="14sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="8mm"
        android:background="@color/white"
        android:orientation="vertical"
        android:paddingHorizontal="20mm"
        android:paddingTop="10mm"
        android:paddingBottom="10mm">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5mm">

            <TextView
                android:id="@+id/tv_no"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="订单号:"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_status"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:textColor="#0841F0"
                android:textSize="14sp" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="14mm"
            android:background="#FCFCFD"
            android:orientation="vertical"
            android:paddingVertical="10mm">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="单支码"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_single_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="产品名称"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_pro_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="产品编码"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_pro_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="图号"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_img_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="规格型号"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_spec"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="箱码"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_box_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="工厂名称"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_factory_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="工厂编码"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_factory_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="制令编码"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="版本号"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_version"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingHorizontal="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:text="所属产品系列"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />

                <TextView
                    android:id="@+id/tv_pro"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="13sp" />
            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginVertical="10mm"
        android:paddingHorizontal="17mm"
        android:text="泥料追溯"
        android:textSize="14sp" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_mud"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginVertical="10mm"
        android:paddingHorizontal="17mm"
        android:text="工艺路线追溯"
        android:textSize="14sp" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_dispatch"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />
</LinearLayout>